<?php
/**************************************************
  Coppermine 1.5.x Plugin - gmc_test
**************************************************/

/* Configuration variables
      'plugin_gmc_test_adminmode'
      'plugin_gmc_test_text_thumb'
      'plugin_gmc_test_text_normal'
      'plugin_gmc_test_mask_url'
      'plugin_gmc_test_disable_rightclick'
      'plugin_gmc_test_text_font'
      'plugin_gmc_test_text_size'
      'plugin_gmc_test_text_color'
      'plugin_gmc_test_text_pos'
      'plugin_gmc_test_text_xoffset'
      'plugin_gmc_test_text_yoffset'
      'plugin_gmc_test_text_text'
      'plugin_gmc_test_disable_text'
*/

// create Inspekt supercage
$superCage = Inspekt::makeSuperCage();

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

if (!GALLERY_ADMIN_MODE) {
    cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
}

include_once('functions.php');                                                  // include plugin subfunctions


// ** GMC following code from the plugin template referenced at: http://documentation.coppermine-gallery.net/en/dev_plugin_steps.htm#steps
// followed steps in same doc to modify to accomodate additional variables.  Any deviations and my issues noted by comments.

// get sanitized POST parameters
if ($superCage->post->keyExists('submit')) {
    //Check if the form token is valid
    if(!checkFormToken()){
        cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
    }

  // Define the sanitization patterns
  $sanitization_array = array(
      'plugin_gmc_test_adminmode' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),                       // checkbox - yes|no
// **GMC - my additional variables inserted here - using doc as reference.
// http://documentation.coppermine-gallery.net/en/dev_plugin_steps.htm#steps_config_defaults
      'plugin_gmc_test_text_thumb' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),                      // checkbox - yes|no
      'plugin_gmc_test_text_normal' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),                     // checkbox - yes|no
      'plugin_gmc_test_mask_url' => array('type' => 'checkbox', 'min' => '0', 'max' => '2'),                        // radio - 0|1|2
      'plugin_gmc_test_disable_rightclick' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),              // checkbox - yes|no
      'plugin_gmc_test_text_font' => array('type' => 'array', 'regex' => '/^[A-Za-z ]+$/', 'delimiter' => '|'),     // dropdown - built from *.ttf files loaded
      'plugin_gmc_test_text_size' => array('type' => 'int', 'min' => '6', 'max' => '24'),                           // integer - 6 -> 24
      'plugin_gmc_test_text_color' => array('type' => 'array', 'regex' => '/^[A-Za-z ]+$/', 'delimiter' => '|'),    // dropdown - list of colors
      'plugin_gmc_test_text_pos' => array('type' => 'array', 'regex' => '/^[A-Za-z ]+$/', 'delimiter' => '|'),      // dropdown - list of positions
      'plugin_gmc_test_text_xoffset' => array('type' => 'int', 'min' => '-255', 'max' => '255'),                    // integer - -255 -> 255
      'plugin_gmc_test_text_yoffset' => array('type' => 'int', 'min' => '-255', 'max' => '255'),                    // integer - -255 -> 255
      'plugin_gmc_test_text_text' => array('type' => 'raw', 'regex' => '/^[A-Za-z&@;.() ]+$/'),                     // text - A-Z a-z & @ ; . ( ) blank
      'plugin_gmc_test_disable_text' => array('type' => 'raw', 'regex' => '/^[A-Za-z&@;.() ]+$/'),                  // text - A-Z a-z & @ ; . ( ) blank
  );
  $config_changes_counter = 0;
  foreach ($sanitization_array as $san_key => $san_value) {
      if (isset($CONFIG[$san_key]) == TRUE) { // only loop if config value is set --- start
          if ($san_value['type'] == 'checkbox') { // type is checkbox --- start
// **GMC - replace if/elseif commented below with next 4 lines... this validation used for BOTH checkbox and radio per doc and reviewing code...
// For checkbox, the code properly handles the case of 'unchecked' - where the variable isn't even present in the form
// BUT - for radio - if the value specified is between min and max - but is not min, and is not max... it wasn't allowed
// This change properly handles both Checkbox and Radio input.
              if ($superCage->post->getInt($san_key) <= $san_value['max'] && $superCage->post->getInt($san_key) >= $san_value['min'] && $superCage->post->getInt($san_key) != $CONFIG[$san_key]) {
                $CONFIG[$san_key] = $superCage->post->getInt($san_key);
                cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                $config_changes_counter++;
//          if ($superCage->post->getInt($san_key) == $san_value['max'] && $CONFIG[$san_key] != $san_value['max']) {
//                $CONFIG[$san_key] = $san_value['max'];
//                cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
//                $config_changes_counter++;
//            } elseif($superCage->post->getInt($san_key) == $san_value['min'] && $CONFIG[$san_key] != $san_value['min']) {
//                $CONFIG[$san_key] = $san_value['min'];
//                cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
//                $config_changes_counter++;
// **GMC - end of modification (continue to validate 'unchecked' box - missing variable.)
            } elseif($superCage->post->keyExists($san_key) != TRUE && $CONFIG[$san_key] != '0') {
                $CONFIG[$san_key] = 0;
                cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                $config_changes_counter++;
            }
          } // type is checkbox --- end
          if ($san_value['type'] == 'int') { // type is integer --- start
              if ($superCage->post->getInt($san_key) <= $san_value['max'] && $superCage->post->getInt($san_key) >= $san_value['min'] && $superCage->post->getInt($san_key) != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $superCage->post->getInt($san_key);
                  cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                  $config_changes_counter++;
              }
          } // type is integer --- end
          if ($san_value['type'] == 'raw') { // type is raw --- start
// **GMC following line incorrectly referenced array key 'regex_ok' instead of 'regex' - causing all input to FAIL validation... $san_value doesn't contain 'regex_ok' key
              if (isset($san_value['regex']) == TRUE && preg_match($san_value['regex'], $superCage->post->getRaw($san_key)) && $superCage->post->getRaw($san_key) != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $superCage->post->getRaw($san_key);
                  if ($superCage->post->getRaw($san_key) == 'none') {
                    $CONFIG[$san_key] = '';
                  }
                  cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                  $config_changes_counter++;
              }
          } // type is raw --- end
          if ($san_value['type'] == 'array') { // type is array --- start              
          $evaluate_value = $superCage->post->getRaw($san_key);
// **GMC following line incorrectly referenced array key 'regex_ok' instead of 'regex' - causing all input to BYPASS validation...
              if (is_array($evaluate_value) && isset($san_value['regex']) == TRUE && isset($san_value['delimiter']) == TRUE) {
                  $temp = '';
                  for ($i = 0; $i <= count($evaluate_value); $i++) {
// **GMC following line incorrectly referenced array key 'regex_ok' instead of 'regex' - code was bypassed until above change...
                      if (preg_match($san_value['regex'], $evaluate_value[$i])) {
                          $temp .= $evaluate_value[$i] . $san_value['delimiter'];
                      }
                  }
                  unset($evaluate_value);
                  $evaluate_value = rtrim($temp, $san_value['delimiter']);
                  unset($temp);
              }
              if ($evaluate_value != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $evaluate_value;
                  cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                  $config_changes_counter++;
              }
          } // type is array --- end
      } // only loop if config value is set --- end
  }
}


// display config page
// get language files
require "./plugins/gmc_test/lang/english.php";
if ($CONFIG['lang'] != 'english' && file_exists("./plugins/gmc_test/lang/{$CONFIG['lang']}.php")) {
    require "./plugins/gmc_test/lang/{$CONFIG['lang']}.php";
}
// Set the option output stuff 
if ($CONFIG['plugin_gmc_test_adminmode'] == '1') {
    $option_output['plugin_gmc_test_adminmode'] = 'checked="checked"';
} else { 
    $option_output['plugin_gmc_test_adminmode'] = '';
}

if ($CONFIG['plugin_gmc_test_text_thumb'] == '1') {
    $option_output['plugin_gmc_test_text_thumb'] = 'checked="checked"';
} else { 
    $option_output['plugin_gmc_test_text_thumb'] = '';
}

if ($CONFIG['plugin_gmc_test_text_normal'] == '1') {
    $option_output['plugin_gmc_test_text_normal'] = 'checked="checked"';
} else { 
    $option_output['plugin_gmc_test_text_normal'] = '';
}

if ($CONFIG['plugin_gmc_test_disable_rightclick'] == '1') {
    $option_output['plugin_gmc_test_disable_rightclick'] = 'checked="checked"';
} else { 
    $option_output['plugin_gmc_test_disable_rightclick'] = '';
}

if ($CONFIG['plugin_gmc_test_mask_url'] == '0') {
    $option_output['plugin_gmc_test_mask_url'][0] = 'checked="checked"';
    $option_output['plugin_gmc_test_mask_url'][1] = '';
    $option_output['plugin_gmc_test_mask_url'][2] = '';
} elseif ($CONFIG['plugin_gmc_test_mask_url'] == '1') {
    $option_output['plugin_gmc_test_mask_url'][0] = '';
    $option_output['plugin_gmc_test_mask_url'][1] = 'checked="checked"';
    $option_output['plugin_gmc_test_mask_url'][2] = '';
} elseif ($CONFIG['plugin_gmc_test_mask_url'] == '2') {
    $option_output['plugin_gmc_test_mask_url'][0] = '';
    $option_output['plugin_gmc_test_mask_url'][1] = '';
    $option_output['plugin_gmc_test_mask_url'][2] = 'checked="checked"';
}

if ($CONFIG['plugin_gmc_test_text_font'] == 'agne.ttf') {
    $option_output['plugin_gmc_test_text_font'][0] = 'SELECTED';
    $option_output['plugin_gmc_test_text_font'][1] = '';
    $option_output['plugin_gmc_test_text_font'][2] = '';
} elseif ($CONFIG['plugin_gmc_test_text_font'] == 'font2.ttf') {
    $option_output['plugin_gmc_test_text_font'][0] = '';
    $option_output['plugin_gmc_test_text_font'][1] = 'SELECTED';
    $option_output['plugin_gmc_test_text_font'][2] = '';
} elseif ($CONFIG['plugin_gmc_test_text_font'] == 'font3.ttf') {
    $option_output['plugin_gmc_test_text_font'][0] = '';
    $option_output['plugin_gmc_test_text_font'][1] = '';
    $option_output['plugin_gmc_test_text_font'][2] = 'SELECTED';
}

if ($CONFIG['plugin_gmc_test_text_color'] == 'white') {
    $option_output['plugin_gmc_test_text_color'][0] = 'SELECTED';
    $option_output['plugin_gmc_test_text_color'][1] = '';
    $option_output['plugin_gmc_test_text_color'][2] = '';
} elseif ($CONFIG['plugin_gmc_test_text_color'] == 'black') {
    $option_output['plugin_gmc_test_text_color'][0] = '';
    $option_output['plugin_gmc_test_text_color'][1] = 'SELECTED';
    $option_output['plugin_gmc_test_text_color'][2] = '';
} elseif ($CONFIG['plugin_gmc_test_text_color'] == 'red') {
    $option_output['plugin_gmc_test_text_color'][0] = '';
    $option_output['plugin_gmc_test_text_color'][1] = '';
    $option_output['plugin_gmc_test_text_color'][2] = 'SELECTED';
}

if ($CONFIG['plugin_gmc_test_text_pos'] == 'center') {
    $option_output['plugin_gmc_test_text_pos'][0] = 'SELECTED';
    $option_output['plugin_gmc_test_text_pos'][1] = '';
    $option_output['plugin_gmc_test_text_pos'][2] = '';
    $option_output['plugin_gmc_test_text_pos'][3] = '';
    $option_output['plugin_gmc_test_text_pos'][4] = '';
    $option_output['plugin_gmc_test_text_pos'][5] = '';
    $option_output['plugin_gmc_test_text_pos'][6] = '';
} elseif ($CONFIG['plugin_gmc_test_text_pos'] == 'top') {
    $option_output['plugin_gmc_test_text_pos'][0] = '';
    $option_output['plugin_gmc_test_text_pos'][1] = 'SELECTED';
    $option_output['plugin_gmc_test_text_pos'][2] = '';
    $option_output['plugin_gmc_test_text_pos'][3] = '';
    $option_output['plugin_gmc_test_text_pos'][4] = '';
    $option_output['plugin_gmc_test_text_pos'][5] = '';
    $option_output['plugin_gmc_test_text_pos'][6] = '';
} elseif ($CONFIG['plugin_gmc_test_text_pos'] == 'bottom') {
    $option_output['plugin_gmc_test_text_pos'][0] = '';
    $option_output['plugin_gmc_test_text_pos'][1] = '';
    $option_output['plugin_gmc_test_text_pos'][2] = 'SELECTED';
    $option_output['plugin_gmc_test_text_pos'][3] = '';
    $option_output['plugin_gmc_test_text_pos'][4] = '';
    $option_output['plugin_gmc_test_text_pos'][5] = '';
    $option_output['plugin_gmc_test_text_pos'][6] = '';
} elseif ($CONFIG['plugin_gmc_test_text_pos'] == 'upperleft') {
    $option_output['plugin_gmc_test_text_pos'][0] = '';
    $option_output['plugin_gmc_test_text_pos'][1] = '';
    $option_output['plugin_gmc_test_text_pos'][2] = '';
    $option_output['plugin_gmc_test_text_pos'][3] = 'SELECTED';
    $option_output['plugin_gmc_test_text_pos'][4] = '';
    $option_output['plugin_gmc_test_text_pos'][5] = '';
    $option_output['plugin_gmc_test_text_pos'][6] = '';
} elseif ($CONFIG['plugin_gmc_test_text_pos'] == 'upperright') {
    $option_output['plugin_gmc_test_text_pos'][0] = '';
    $option_output['plugin_gmc_test_text_pos'][1] = '';
    $option_output['plugin_gmc_test_text_pos'][2] = '';
    $option_output['plugin_gmc_test_text_pos'][3] = '';
    $option_output['plugin_gmc_test_text_pos'][4] = 'SELECTED';
    $option_output['plugin_gmc_test_text_pos'][5] = '';
    $option_output['plugin_gmc_test_text_pos'][6] = '';
} elseif ($CONFIG['plugin_gmc_test_text_pos'] == 'lowerleft') {
    $option_output['plugin_gmc_test_text_pos'][0] = '';
    $option_output['plugin_gmc_test_text_pos'][1] = '';
    $option_output['plugin_gmc_test_text_pos'][2] = '';
    $option_output['plugin_gmc_test_text_pos'][3] = '';
    $option_output['plugin_gmc_test_text_pos'][4] = '';
    $option_output['plugin_gmc_test_text_pos'][5] = 'SELECTED';
    $option_output['plugin_gmc_test_text_pos'][6] = '';
} elseif ($CONFIG['plugin_gmc_test_text_pos'] == 'lowerright') {
    $option_output['plugin_gmc_test_text_pos'][0] = '';
    $option_output['plugin_gmc_test_text_pos'][1] = '';
    $option_output['plugin_gmc_test_text_pos'][2] = '';
    $option_output['plugin_gmc_test_text_pos'][3] = '';
    $option_output['plugin_gmc_test_text_pos'][4] = '';
    $option_output['plugin_gmc_test_text_pos'][5] = '';
    $option_output['plugin_gmc_test_text_pos'][6] = 'SELECTED';
}

pageheader(sprintf($lang_plugin_gmc_test['configure_x'], $lang_plugin_gmc_test['plugin_name']));
list($timestamp, $form_token) = getFormToken();
echo <<< EOT
<form action="index.php?file=gmc_test/admin" method="post" name="gmc_test_settings">
EOT;
starttable('100%', sprintf($lang_plugin_gmc_test['configure_x'], $lang_plugin_gmc_test['plugin_name']), 3, 'cpg_zebra');

if ($superCage->post->keyExists('submit')) {
    if ($config_changes_counter > 0) {
        echo <<< EOT
    <tr>
        <td class="tablef" colspan="2" >
EOT;
        msg_box('', $lang_plugin_gmc_test['update_success'], '', '', 'success');
    } else {
        msg_box('', $lang_plugin_gmc_test['no_changes'], '', '', 'validation');
    }
        echo <<< EOT
        </td>
    </tr>
EOT;
}

echo <<< EOT
    <!-- insert config option form code start -->
    <tr>
      <td>
        <label for="plugin_gmc_test_text_thumb" class="clickable_option">{$lang_plugin_gmc_test['text_thumb']}</label>
      </td>
      <td>
        <input type="checkbox" name="plugin_gmc_test_text_thumb" id="plugin_gmc_test_text_thumb" class="checkbox" value="1" {$option_output['plugin_gmc_test_text_thumb']} />
        <label for="plugin_gmc_test_text_thumb" class="clickable_option">{$lang_common['yes']}</label>
      </td>
    </tr>

    <tr>
      <td>
        <label for="plugin_gmc_test_text_normal" class="clickable_option">{$lang_plugin_gmc_test['text_normal']}</label>
      </td>
      <td>
        <input type="checkbox" name="plugin_gmc_test_text_normal" id="plugin_gmc_test_text_normal" class="checkbox" value="1" {$option_output['plugin_gmc_test_text_normal']} />
        <label for="plugin_gmc_test_text_normal" class="clickable_option">{$lang_common['yes']}</label>
      </td>
    </tr>

    <tr>
      <td>
        <label for="plugin_gmc_test_disable_rightclick" class="clickable_option">{$lang_plugin_gmc_test['disable_rightclick']}</label>
      </td>
      <td>
        <input type="checkbox" name="plugin_gmc_test_disable_rightclick" id="plugin_gmc_test_disable_rightclick" class="checkbox" value="1" {$option_output['plugin_gmc_test_disable_rightclick']} />
        <label for="plugin_gmc_test_disable_rightclick" class="clickable_option">{$lang_common['yes']}</label>
      </td>
    </tr>

    <tr>
      <td style="vertical-align:top;">
        {$lang_plugin_gmc_test['mask_url']}
      </td>
      <td>
        <input type="radio" name="plugin_gmc_test_mask_url" id="plugin_gmc_test_mask_url_0" class="radio" value="0" {$option_output['plugin_gmc_test_mask_url'][0]} />
        <label for="plugin_gmc_test_mask_url_0" class="clickable_option">{$lang_plugin_gmc_test['cleartext']}</label><br />
        <input type="radio" name="plugin_gmc_test_mask_url" id="plugin_gmc_test_mask_url_1" class="radio" value="1" {$option_output['plugin_gmc_test_mask_url'][1]} />
        <label for="plugin_gmc_test_mask_url_1" class="clickable_option">{$lang_plugin_gmc_test['mask']}</label><br />
        <input type="radio" name="plugin_gmc_test_mask_url" id="plugin_gmc_test_mask_url_2" class="radio" value="2" {$option_output['plugin_gmc_test_mask_url'][2]} />
        <label for="plugin_gmc_test_mask_url_2" class="clickable_option">{$lang_plugin_gmc_test['encrypt']}</label><br />
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['text_font']}
      </td>
      <td>
        <select name="plugin_gmc_test_text_font" id="plugin_gmc_test_text_font" class="listbox">
          <!-- *GMC-TODO generate option list based on actually loaded fonts... No language translation for font names. -->
          <option value="agne.ttf" {$option_output['plugin_gmc_test_text_font'][0]}>agne</option>
          <option value="font2.ttf" {$option_output['plugin_gmc_test_text_font'][1]}>font2</option>
          <option value="font3.ttf" {$option_output['plugin_gmc_test_text_font'][2]}>font3</option>
        </select>
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['text_size']}
      </td>
      <td>
        <input type="text" name="plugin_gmc_test_text_size" id="plugin_gmc_test_text_size" class="textinput" size="2" maxlength="2" value="{$CONFIG['plugin_gmc_test_text_size']}" {$option_output['plugin_gmc_test_text_size']} />
        {$lang_plugin_gmc_test['point']} (6 thru 24)
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['text_color']}
      </td>
      <td>
        <select name="plugin_gmc_test_text_color" id="plugin_gmc_test_text_color" class="listbox">
          <option value="white" {$option_output['plugin_gmc_test_text_color'][0]}>{$lang_plugin_gmc_test['white']}</option>
          <option value="black" {$option_output['plugin_gmc_test_text_color'][1]}>{$lang_plugin_gmc_test['black']}</option>
          <option value="red" {$option_output['plugin_gmc_test_text_color'][2]}>{$lang_plugin_gmc_test['red']}</option>
        </select>
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['text_pos']}
      </td>
      <td>
        <select name="plugin_gmc_test_text_pos" id="plugin_gmc_test_text_pos" class="listbox">
          <option value="center" {$option_output['plugin_gmc_test_text_pos'][0]}>{$lang_plugin_gmc_test['center']}</option>
          <option value="top" {$option_output['plugin_gmc_test_text_pos'][1]}>{$lang_plugin_gmc_test['top']}</option>
          <option value="bottom" {$option_output['plugin_gmc_test_text_pos'][2]}>{$lang_plugin_gmc_test['bottom']}</option>
          <option value="upperleft" {$option_output['plugin_gmc_test_text_pos'][3]}>{$lang_plugin_gmc_test['upperleft']}</option>
          <option value="upperright" {$option_output['plugin_gmc_test_text_pos'][4]}>{$lang_plugin_gmc_test['upperright']}</option>
          <option value="lowerleft" {$option_output['plugin_gmc_test_text_pos'][5]}>{$lang_plugin_gmc_test['lowerleft']}</option>
          <option value="lowerright" {$option_output['plugin_gmc_test_text_pos'][6]}>{$lang_plugin_gmc_test['lowerright']}</option>
        </select>
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['text_xoffset']}
      </td>
      <td>
        <input type="text" name="plugin_gmc_test_text_xoffset" id="plugin_gmc_test_text_xoffset" class="textinput" size="4" maxlength="4" value="{$CONFIG['plugin_gmc_test_text_xoffset']}" {$option_output['plugin_gmc_test_text_xoffset']} />
        {$lang_plugin_gmc_test['offset']} (-255 thru 255)
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['text_yoffset']}
      </td>
      <td>
        <input type="text" name="plugin_gmc_test_text_yoffset" id="plugin_gmc_test_text_yoffset" class="textinput" size="4" maxlength="4" value="{$CONFIG['plugin_gmc_test_text_yoffset']}" {$option_output['plugin_gmc_test_text_yoffset']} />
        {$lang_plugin_gmc_test['offset']} (-255 thru 255)
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['text_text']}
      </td>
      <td>
        <input type="text" name="plugin_gmc_test_text_text" id="plugin_gmc_test_text_text" class="textinput" size="40" maxlength="60" value="{$CONFIG['plugin_gmc_test_text_text']}" {$option_output['plugin_gmc_test_text_text']} /> Use (c) for &copy; symbol
      </td>
    </tr>

    <tr>
      <td valign="top">
        {$lang_plugin_gmc_test['disable_text']}
      </td>
      <td>
        <input type="text" name="plugin_gmc_test_disable_text" id="plugin_gmc_test_disable_text" class="textinput" size="40" maxlength="60" value="{$CONFIG['plugin_gmc_test_disable_text']}" {$option_output['plugin_gmc_test_disable_text']} /> Use (c) for &copy; symbol
      </td>
    </tr>

    <!-- insert config option form code end -->
    <tr>
        <td class="tablef" colspan="3">
            <input type="hidden" name="form_token" value="{$form_token}" />
            <input type="hidden" name="timestamp" value="{$timestamp}" />
            <button type="submit" class="button" name="submit" value="{$lang_plugin_gmc_test['submit']}">{$lang_plugin_gmc_test['submit']}</button>
        </td>
    </tr>
EOT;

endtable();
echo <<< EOT
</form>
EOT;
pagefooter();



?>