<?php
/**************************************************
  Coppermine 1.5.x Plugin - gmc_test
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

include_once('functions.php');                                                  // include plugin subfunctions

// Define plugin actions here
$thisplugin->add_action('plugin_install','gmc_test_install');
$thisplugin->add_action('plugin_uninstall','gmc_test_uninstall');

// Define plugin filters here
$thisplugin->add_filter('html_image','gmc_test_disable');                 // html_image intercept
$thisplugin->add_filter('html_image_reduced','gmc_test_disable');         // html_image intercept
$thisplugin->add_filter('fullsize_html','gmc_test_disable_fullsize');     // fullsize_html intercept
$thisplugin->add_filter('picture_url','gmc_test_url');                    // picture_url intercept

// Define the plugin's functions here
function gmc_test_install() {
    global $CONFIG;
    // Add the config options for the plugin
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_thumb', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_normal', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_mask_url', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_disable_rightclick', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_font', 'agne.ttf')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_size', '14')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_color', 'white')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_pos', 'center')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_xoffset', '-125')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_yoffset', '-10')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_text_text', 'Sample Text {$CONFIG['gallery_name']}')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_gmc_test_disable_text', 'Sample Text')");
    return true;
}


// function to modify pic_row
function gmc_test_url($pic_row) {
    global $CONFIG;
    return $pic_row;
}

 
// function to modify pic_html
function gmc_test_disable($pic_html) {
    global $CONFIG;
    return $pic_html;
}


// function to modify fullsize_html
function gmc_test_disable_fullsize($fullsize_html) {
    global $CONFIG;
    return $fullsize_html;
}


function gmc_test_uninstall() {
    global $CONFIG, $lang_errors;
    $superCage = Inspekt::makeSuperCage();
    if (!checkFormToken()) {
        cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
    }
    // Delete the plugin config records
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_thumb'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_normal'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_mask_url'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_disable_rightclick'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_font'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_size'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_color'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_pos'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_xoffset'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_yoffset'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_text_text'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_gmc_test_disable_text'");

    return true;
}
?>